Cancel offer
Builds a transaction cancelling buyer's offer on asset and refunding the escrowed funds. Returns 404 if there is no such offer.
Authorization
ApiKeyAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Closes an open offer and refunds the escrowed funds to the buyer.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/tx/offers/cancel" \ -H "Content-Type: application/json" \ -d '{ "buyer": "string", "asset": "string" }'{ "result": { "tx": "string" }}Make offer POST
Builds an offer from buyer on asset at price, in currencyMint (SOL when omitted). The funds are held in escrow until the offer is accepted or cancelled.
Accept offer POST
Builds a transaction in which seller accepts buyer's offer on asset. The asset goes to the buyer and the escrowed funds to the seller, less fees and royalties.